Bug 16275 - [DOM L3 Events] Contradition statement regarding keyboard events in the CompositionEvents section
[DOM L3 Events] Contradition statement regarding keyboard events in the Compo...
Status: VERIFIED FIXED
Product: WebAppsWG
Classification: Unclassified
Component: DOM3 Events
unspecified
PC Windows NT
: P2 normal
: ---
Assigned To: Travis Leithead [MSFT]
public-webapps-bugzilla
http://dev.w3.org/2006/webapi/DOM-Lev...
: reviewerSatisfied
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-08 20:42 UTC by Travis Leithead [MSFT]
Modified: 2012-03-13 00:05 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Travis Leithead [MSFT] 2012-03-08 20:42:42 UTC
There is a contradition statement in the DOM L3 Events spec for keyboard events in the  CompositionEvents section:

*** no keyboard events should generated: 
http://www.w3.org/TR/DOM-Level-3-Events/#events-compositionevents
While a composition session is active, keyboard events should not be dispatched to the DOM (i.e., the text composition system “swallows” the keyboard events), and only compositionupdate events are dispatched to indicate the composition process.

*** keydown event is generated:
http://www.w3.org/TR/DOM-Level-3-Events/#event-type-compositionstart
When a keyboard is used to feed an input method editor, this event type is generated after a keydown event, but speech or handwriting recognition systems may send this event type without keyboard events. 

We do have a public test case for the 2nd scenario -- compositionstart event type is generated after a keydown event:
http://samples.msdn.microsoft.com/ietestcenter/domevents/compositionstart.keydown.html

---
Recommended fix is to correct the statement in http://www.w3.org/TR/DOM-Level-3-Events/#events-compositionevents to match implementations and eliminate this contradiction.
Comment 1 Travis Leithead [MSFT] 2012-03-10 01:06:38 UTC
Now fixed in revision 1.214

http://dev.w3.org/2006/webapi/DOM-Level-3-Events/html/DOM3-Events.html?rev=1.214
Comment 2 Travis Leithead [MSFT] 2012-03-10 01:12:18 UTC
As the opener, I verify that this has been fixed.